Bug 605800 - TypeError when using --buildsrpm
Summary: TypeError when using --buildsrpm
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock   
(Show other bugs)
Version: el5
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 19:34 UTC by Garrett Holmstrom
Modified: 2013-01-10 06:01 UTC (History)
3 users (show)

Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 04:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock traceback for hello-2.6-1.el5 (1.64 KB, text/plain)
2010-06-18 19:34 UTC, Garrett Holmstrom
no flags Details

Description Garrett Holmstrom 2010-06-18 19:34:58 UTC
Created attachment 425237 [details]
mock traceback for hello-2.6-1.el5

Description of problem:
mock throws a TypeError when attempting to build from a spec file and sources using the --buildsrpm option.


Version-Release number of selected component (if applicable):
mock-1.0.7-1.el5.noarch


Steps to Reproduce:
1. rpm -ivh http://www.physics.umn.edu/~holms/hello-2.6-1.el5.src.rpm
2. mock -r epel-5-i386 --buildsrpm --spec ~/rpmbuild/SPECS/hello.spec


Actual results:
Traceback (see attachment)

Comment 1 Garrett Holmstrom 2010-07-07 00:07:14 UTC
FWIW, I just reproduced this bug on F13.  I can file a separate one for that if you would like.

Comment 2 Clark Williams 2010-07-07 15:01:15 UTC
When we fix it it'll be fixed for f12 and f13, so no need

Comment 3 Clark Williams 2010-09-10 16:56:37 UTC
Garrett,

The traceback you got is because the --sources argument wasn't specified. I'm putting some code into the option parsing routine to catch that and generate an appropriate error message (e.g. --spec and --sources options must be specified with --buildsrpm).

I did find a couple of other issues so a new mock will be coming out in the not too distant future.

Comment 4 Fedora Update System 2010-09-20 14:35:15 UTC
mock-1.1.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.5-1.fc14

Comment 5 Fedora Update System 2010-09-20 14:35:34 UTC
mock-1.1.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.5-1.fc13

Comment 6 Fedora Update System 2010-09-20 14:42:33 UTC
mock-1.0.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.fc12

Comment 7 Fedora Update System 2010-09-20 14:44:07 UTC
mock-1.0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5

Comment 8 Fedora Update System 2010-09-20 17:53:20 UTC
mock-1.0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5

Comment 9 Fedora Update System 2010-09-23 04:56:51 UTC
mock-1.1.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-30 06:17:01 UTC
mock-1.1.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-10-20 15:44:17 UTC
mock-1.0.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.el5

Comment 12 Fedora Update System 2010-10-20 15:46:39 UTC
mock-1.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.fc12

Comment 13 Fedora Update System 2010-12-14 16:14:29 UTC
mock-1.0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.14-1.el5

Comment 14 Fedora Update System 2011-01-18 20:04:41 UTC
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5

Comment 15 Fedora Update System 2011-02-20 02:26:51 UTC
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13

Comment 16 Fedora Update System 2011-02-20 02:29:55 UTC
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5

Comment 17 Fedora Update System 2011-02-20 02:32:47 UTC
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6

Comment 18 Fedora Update System 2011-02-20 02:35:39 UTC
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14

Comment 19 Fedora Update System 2011-03-03 08:25:34 UTC
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-03-03 08:34:17 UTC
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-05-13 20:34:36 UTC
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15

Comment 22 Fedora Update System 2011-05-13 20:39:09 UTC
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14

Comment 23 Fedora Update System 2011-05-13 20:43:25 UTC
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5

Comment 24 Fedora Update System 2011-05-13 20:47:44 UTC
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13

Comment 25 Fedora Update System 2011-05-13 20:52:03 UTC
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6

Comment 26 Fedora Update System 2011-05-19 04:35:59 UTC
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-05-25 02:43:19 UTC
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-05-25 03:17:36 UTC
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-06-02 19:07:28 UTC
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2011-06-02 19:17:21 UTC
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.